# UnderwaterAcoustics.jl
### Julia toolbox for underwater acoustic modeling

```@meta
CurrentModule = UnderwaterAcoustics
```

## Highlights

- Underwater acoustic propagation modeling with pluggable models
- Differentiable and probabilistic underwater acoustic modeling
- Underwater acoustics utility functions

## Installation

```julia-repl
julia>]
pkg> add UnderwaterAcoustics
```

## Getting started

- [Propagation modeling toolkit](@ref) quickstart guide.
- [Underwater acoustics](@ref) utility functions.

## Talks & publications

- Mandar Chitre, "[Underwater Acoustics in the age of differentiable and probabilistic programming](https://www.facebook.com/watch/live/?v=2473971036238315)", UComms 2020 webinar, 3 December 2020.
